//
// CDDL HEADER START
//
// The contents of this file are subject to the terms of the Common Development
// and Distribution License Version 1.0 (the "License").
//
// You can obtain a copy of the license at
// http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
// specific language governing permissions and limitations under the License.
//
// When distributing Covered Code, include this CDDL HEADER in each file and
// include the License file in a prominent location with the name LICENSE.CDDL.
// If applicable, add the following below this CDDL HEADER, with the fields
// enclosed by brackets "[]" replaced with your own identifying information:
//
// Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
//
// CDDL HEADER END
//

//
// Copyright (c) 2016--2019, Regents of the University of Minnesota.
// All rights reserved.
//
// Contributors:
//    Ryan S. Elliott
//

//
// Release: This file is part of the kim-api-2.0.2 package.
//


#ifndef KIM_LANGUAGE_NAME_HPP_
#include "KIM_LanguageName.hpp"
#endif

#ifndef KIM_SHARED_LIBRARY_SCHEMA_HPP_
#include "KIM_SharedLibrarySchema.hpp"
#endif

using namespace KIM::SHARED_LIBRARY_SCHEMA;

extern "C" {
// clang-format off
int kim_shared_library_schema_version = 1;



extern unsigned int const Al_zhou_eam_alloy_len;
extern unsigned char const Al_zhou_eam_alloy[];
static SharedLibrarySchemaV1::EmbeddedFile const parameterFiles[] = {
  {"Al_zhou.eam.alloy", Al_zhou_eam_alloy_len, Al_zhou_eam_alloy} };

SharedLibrarySchemaV1 kim_shared_library_schema = {
    "2.0.2+GNU",  // KIM API Version
    SharedLibrarySchemaV1::PARAMETERIZED_MODEL,  // Item Type
    "EAM_Dynamo_ZhouWadleyJohnson_2001_Al__MO_049243498555_000",  // Item Name
    KIM::LANGUAGE_NAME::cpp,  // Create Routine Language
    NULL,  // Create Routine Name
    "EAM_Dynamo__MD_120291908751_005",  // Item Driver Name
    1,  // Number of Parameter Files
    parameterFiles,  // Embedded Parameter Files
    NULL  // Embedded Metadata File
};
}
// clang-format on
