//
// CDDL HEADER START
//
// The contents of this file are subject to the terms of the Common Development
// and Distribution License Version 1.0 (the "License").
//
// You can obtain a copy of the license at
// http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
// specific language governing permissions and limitations under the License.
//
// When distributing Covered Code, include this CDDL HEADER in each file and
// include the License file in a prominent location with the name LICENSE.CDDL.
// If applicable, add the following below this CDDL HEADER, with the fields
// enclosed by brackets "[]" replaced with your own identifying information:
//
// Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
//
// CDDL HEADER END
//

//
// Copyright (c) 2016--2019, Regents of the University of Minnesota.
// All rights reserved.
//
// Contributors:
//    Ryan S. Elliott
//

//
// Release: This file is part of the kim-api-2.0.2 package.
//


#ifndef KIM_LANGUAGE_NAME_HPP_
#include "KIM_LanguageName.hpp"
#endif

#ifndef KIM_SHARED_LIBRARY_SCHEMA_HPP_
#include "KIM_SharedLibrarySchema.hpp"
#endif

using namespace KIM::SHARED_LIBRARY_SCHEMA;

extern "C" {
// clang-format off
int kim_shared_library_schema_version = 1;



extern unsigned int const species_params_len;
extern unsigned char const species_params[];
extern unsigned int const cacd_222_gga_23170_new_phi_imd_pt_len;
extern unsigned char const cacd_222_gga_23170_new_phi_imd_pt[];
extern unsigned int const cacd_222_gga_23170_new_rho_imd_pt_len;
extern unsigned char const cacd_222_gga_23170_new_rho_imd_pt[];
extern unsigned int const cacd_222_gga_23170_new_F_imd_pt_len;
extern unsigned char const cacd_222_gga_23170_new_F_imd_pt[];
static SharedLibrarySchemaV1::EmbeddedFile const parameterFiles[] = {
  {"species.params", species_params_len, species_params},
  {"cacd.222_gga.23170_new_phi.imd.pt", cacd_222_gga_23170_new_phi_imd_pt_len, cacd_222_gga_23170_new_phi_imd_pt},
  {"cacd.222_gga.23170_new_rho.imd.pt", cacd_222_gga_23170_new_rho_imd_pt_len, cacd_222_gga_23170_new_rho_imd_pt},
  {"cacd.222_gga.23170_new_F.imd.pt", cacd_222_gga_23170_new_F_imd_pt_len, cacd_222_gga_23170_new_F_imd_pt} };

SharedLibrarySchemaV1 kim_shared_library_schema = {
    "2.0.2+GNU",  // KIM API Version
    SharedLibrarySchemaV1::PARAMETERIZED_MODEL,  // Item Type
    "EAM_IMD_BrommerGaehlerMihalkovic_2007_CaCd__MO_145183423516_003",  // Item Name
    KIM::LANGUAGE_NAME::cpp,  // Create Routine Language
    NULL,  // Create Routine Name
    "EAM_IMD__MD_113599595631_003",  // Item Driver Name
    4,  // Number of Parameter Files
    parameterFiles,  // Embedded Parameter Files
    NULL  // Embedded Metadata File
};
}
// clang-format on
